Jinrikisha リリースノート

Release 0.9.0

Dec 05, 2016

  • Asakusa Framework 0.9.0 を推奨バージョンに変更
  • 同梱するApache Hadoopのバージョンを 2.7.2 から 2.7.3 にアップデート
  • 同梱するApache Sparkのバージョンを 1.6.2 から 2.0.2 にアップデート
  • 同梱するEclipseのバージョンを 4.6.1 にアップデート
  • JDK 7の対応を削除

Attention

本バージョンより、Jinrikishaは Linux-64bit版 のみを公開します。 MacOSX上での開発は Shafu - Asakusa Gradle Plug-in Helper for Eclipse - の利用を推奨します。

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.9.0 以降に指定することを強く推奨します。

Release 0.8.1

Jul 25, 2016

  • Asakusa Framework 0.8.1 を推奨バージョンに変更
  • 同梱するApache Sparkのバージョンを 1.6.1 から 1.6.2 にアップデート
  • 同梱するEclipseのバージョンを 4.6.0 にアップデート

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.8.1 以降に指定することを強く推奨します。

Release 0.8.0

Apr 08, 2016

  • Asakusa Framework 0.8.0 を推奨バージョンに変更
  • JDK 8に対応
  • JDK 6の対応を削除
  • 同梱するHadoopのバージョンを Apache Hadoop 1.2.1 から Apache Hadoop 2.7.2 に変更
  • Apache Sparkを同梱し、これをセットアップする機能を追加
  • 同梱するEclipseのバージョンを 4.5.2 にアップデート
  • 古いMacOSX向けのセットアップ機能(launchd.confの設定など)を削除

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.8.0 以降に指定することを強く推奨します。

Release 0.7.6

Dec 02, 2015

  • Asakusa Framework 0.7.6 を推奨バージョンに変更

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.7.6 以降に指定することを強く推奨します。

Release 0.7.5

Nov 19, 2015

  • Asakusa Framework 0.7.5 を推奨バージョンに変更
  • 同梱するEclipseのバージョンを 4.5.1 にアップデート
  • その他ドキュメントの細かい修正

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.7.5 以降に指定することを強く推奨します。

Release 0.7.4

Aug 11, 2015

  • Asakusa Framework 0.7.4 を推奨バージョンに変更
  • 同梱するHiveのバージョンを 1.2.1 にアップデート
  • その他ドキュメントの細かい修正

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.7.4 以降に指定することを強く推奨します。

Release 0.7.3

Apr 22, 2015

  • Asakusa Framework 0.7.3 を推奨バージョンに変更
  • 同梱するEclipseのバージョンを 4.4.2 にアップデート
  • 同梱するHiveのバージョンを 1.1.0 にアップデート
  • その他ドキュメントの細かい修正

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.7.3 以降に指定することを強く推奨します。

Release 0.7.2

Jan 05, 2015

  • Asakusa Framework 0.7.2 を推奨バージョンに変更
  • 同梱するEclipseのバージョンを 4.4.1 にアップデート
  • 同梱するHiveのバージョンを 0.14.0 にアップデート
  • Shafuのドキュメント を最新バージョンに合わせてアップデート
  • その他ドキュメントの細かい修正

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.7.2 以降に指定することを強く推奨します。

Release 0.7.1

Nov 20, 2014

  • Asakusa Framework 0.7.1 を推奨バージョンに変更

Release 0.7.0

Sep 25, 2014

  • Asakusa Framework 0.7.0 を推奨バージョンに変更
  • 同梱するEclipseのバージョンを 4.4.0 にアップデート
  • Apache Hiveを同梱し、これをセットアップする機能を追加
    • Apache Hiveについては Jinrikisha の 特徴 の「Hiveのインストール」の項を参照してください。

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.7.0 以降に指定することを強く推奨します。

Release 0.6.2

May 22, 2014

  • 対応プラットフォームのOSにUbuntu Desktop 14.04を追加

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.6.2 以降に指定することを強く推奨します。

Release 0.6.1

Mar 19, 2014

  • 同梱するEclipseのバージョンを 4.3.2 にアップデート

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.6.1 以降に指定することを強く推奨します。

Release 0.6.0

Feb 17, 2014

  • Asakusa Framework 0.6.0 を推奨バージョンに変更

  • Asakusa Framework 0.6.0 で変更されたGradleの標準化に合わせた以下の変更
    • 同梱するサンプルアプリケーションをGradleプロジェクトに変更
    • Mavenのセットアップ機能を削除
  • 関連プロダクト Shafu のリリース
  • 同梱するEclipseのバージョンを 4.3.1 にアップデート

  • MacOSX版でOracle JDK7上での利用に対応

  • リリースに伴うドキュメント修正

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.6.0 以降に指定することを強く推奨します。

Release 0.5.3

Dec 24, 2013

  • Asakusa Framework 0.5.3 を推奨バージョンに変更
  • OpenJDKのインストールバージョンをJDK 6からJDK 7に変更
  • インストール環境に対するJavaの検出ロジックを改善

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.5.3 以降に指定することを強く推奨します。

Release 0.5.2

Nov 20, 2013

  • Asakusa Framework 0.5.2 を推奨バージョンに変更
  • 同梱するHadoopのバージョンを Apache Hadoop 1.1.2 から Apache Hadoop 1.2.1 に変更
  • DMDL Editorプラグイン のエンハンスに伴うドキュメント修正

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.5.2 以降に指定することを強く推奨します。

Release 0.5.0

May 9, 2013

  • Asakusa Framework 0.5.0 を推奨バージョンに変更
  • 同梱するHadoopディストリビューションをCDH3 Update5からApache Hadoop 1.1.2に変更
  • ドキュメントの拡充
  • その他ドキュメントの細かい不具合修正

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.5.0 以降に指定することを強く推奨します。

Release 0.2.1

Aug 30, 2012

  • Asakusa Framework 0.4.0 を推奨バージョンに変更

  • 同梱するCDH3のバージョンをUpdate 4 から Update 5 に変更

  • アーキタイプカタログファイルをインストールする機能を追加
  • ドキュメントに関する不具合の修正

  • リリースに伴うドキュメント修正

Attention

同梱のソフトウェアに対する動作検証などの理由により、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.4.0 以降に指定することを強く推奨します。

Release 0.2.0

May 31, 2012

  • Ubuntu Desktop 12.04 上での動作確認

  • Ubuntu Desktop 12.04 上でOpenJDKのインストールを行った場合にインストールに失敗する不具合の修正

  • Asakusa Framework 0.2.6 を推奨バージョンに変更

  • 同梱するCDH3のバージョンをUpdate 2 から Update 4 に変更

  • 同梱するMavenのバージョンを 3.0.3 から 3.0.4 に変更

  • 同梱するEclipseのバージョンを 3.7.1 から 3.7.2 に変更

  • インストール時にaptのインデックスが古いためインストールに失敗することがある不具合の修正
    • インストール時にaptのインデックスを更新する処理を追加
  • インストーラ内で使用するyumコマンドのオプションを修正

  • Asakusa Frameworkの変更に伴うインストールユーザのパーミッション変更処理を削除 [1]
  • リリースに伴うドキュメント修正

Warning

[1]に伴う修正の影響により、本バージョンでAsakusa Frameworkのインストールバージョンを0.2.5以前に指定した場合、ホームディレクトリのパーミッションの設定にOTHERのREAD権限が付与されていない場合インストールに失敗します。同梱のソフトウェアに対する動作検証などの理由も合わせて、 本バージョン以降では インストールするAsakusa Frameworkのバージョンは 0.2.6 以降に指定することを強く推奨します。

Release 0.1.0

Feb 3, 2012

  • 初版リリース